---
title: "Verify access token"
url: "https://docs.signnow.com/docs/oauth2/operations/get__oauth2_token"
type: "endpoint"
section: "oauth2"
slug: "oauth2/operations/get__oauth2_token"
method: "GET"
path: "/oauth2/token"
operation_id: "get__oauth2_token"
authorization: "bearer"
---

# Verify access token

`GET /oauth2/token`

This endpoint verifies an access token for a user.

## Authorization

bearer

## Responses

### 200

Returns the access_token itself as well as its' scope, expiration date, and type.

**Example** (`application/json`)

```json
{
  "scope": "*",
  "expires_in": "2517898",
  "token_type": "bearer",
  "access_token": "8dXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
}
```

### 400

"invalid_token" - either incorrect or expired token provided

**Example** (`invalid_token`)

```json
{
  "error": "invalid_token"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/oauth2/token" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/oauth2/operations/get__oauth2_token*
